## 技术栈

### 基础

<!-- prettier-ignore -->
- [Vue v3.x](https://v3.vuejs.org/guide/introduction.html)
- [uni-app@vue3 v3.x-alpha](https://uniapp.dcloud.io/tutorial/migration-to-vue3.html), 依赖 `HBuilderX Alpha` 版本编辑器
- [TypeScript](https://www.typescriptlang.org/zh/)
- [Sass](https://www.sass.hk/)

### UI

<!-- prettier-ignore -->
- [uni-ui@vue3](https://github.com/dcloudio/uni-ui)
- 备选方案: [uView](https://uviewui.com/), 由于尚未完成 Vue3 的适配, 暂不推荐使用

### Tools

<!-- prettier-ignore -->
- [Lodash](https://github.com/lodash/lodash) 函数库
- [Dayjs](https://github.com/iamkun/dayjs) 时间库
- [@vueuse/core](https://github.com/vueuse/vueuse) Vue2/3 实用工具集
- [mock.js](https://github.com/nuysoft/Mock) 数据模拟

### 网络

<!-- prettier-ignore -->
- [uni.request](https://uniapp.dcloud.net.cn/api/request/request.html)
- [uni-ajax](https://uniajax.ponjs.com/)

### 图表

<!-- prettier-ignore -->
- [ucharts](https://gitee.com/uCharts/uCharts)

### 构建工具

<!-- prettier-ignore -->
- [HBuilderX Alpha](https://download1.dcloud.net.cn/hbuilderx/changelog/3.4.2.20220310-alpha.html)
- [Vite v2.x](https://vitejs.dev)

### 其他插件

<!-- prettier-ignore -->
- [prettier](https://prettier.io) 代码格式化工具
- [husky](https://github.com/typicode/husky) Git hooks 插件
- [ESLint](https://eslint.org) 代码规范检查工具
- [stylelint](https://stylelint.io) CSS 规范检查工具
- [commitizen](https://github.com/commitizen) Git 提交规范工具
- [lint-staged](https://github.com/okonet/lint-staged)
- ...
